%% Multiplication table using for loops
%
% Author: Paul Talaga
%
% Change width and height for smaller matrices


clear all;
tic();

width = 10000;      % 10000x10000 takes about 3.0 seconds to compute
height = 10000;


matrix = zeros(height, width);

tic();
for y = 1:height
    for x = 1:width
       matrix(y,x) = x * y;
    end
end
toc();